/*
 * @Author: Kane
 * @Date: 2023-04-06 09:25:25
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/account/TeleSalerQueryResult.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.account;

import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class TeleSalerQueryResult extends QueryResponse
{

    public TeleSalerQueryResult()
    {
        super();
    }

    /**
     * @description: 构造函数
     * @param success: 请求成功标志位
     * @param message: 请求结果提示信息
     * @param teleSalerCode: 坐席工号
     * @param teleSalerName: 坐席名称
     * @param teamCode: 团队代码
     * @param teamName: 团队名称
     * @param departmentCode: 部门代码
     * @param departmentName: 部门名称
     */
    public TeleSalerQueryResult( boolean success, String message, String telSalerCode,
            String telSalerName, String teamCode, String teamName, String departmentCode,
            String departmentName)
    {
        super( success, message );

        this.telSalerCode = telSalerCode;
        this.telSalerName = telSalerName;
        this.teamCode = teamCode;
        this.teamName = teamName;
        this.departmentCode = departmentCode;
        this.departmentName = departmentName;
    }

    public String getTelSalerCode()
    {
        return telSalerCode;
    }

    /**
     * @description:
     * @param {String} teleSalerCode
     * @return {*}
     */
    public void setTelSalerCode( String telSalerCode )
    {
        this.telSalerCode = telSalerCode;
    }

    public String getTelSalerName()
    {
        return telSalerName;
    }

    public void setTelSalerName( String telSalerName )
    {
        this.telSalerName = telSalerName;
    }

    public String getTeamCode()
    {
        return teamCode;
    }

    public void setTeamCode( String teamCode )
    {
        this.teamCode = teamCode;
    }

    public String getTeamName()
    {
        return teamName;
    }

    public void setTeamName( String teamName )
    {
        this.teamName = teamName;
    }

    public String getDepartmentCode()
    {
        return departmentCode;
    }

    public void setDepartmentCode( String departmentCode )
    {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentName()
    {
        return departmentName;
    }

    public void setDepartmentName( String departmentName )
    {
        this.departmentName = departmentName;
    }

    @JsonProperty( "tel_saler_code" )
    private String telSalerCode;

    @JsonProperty( "tel_saler_name" )
    private String telSalerName;

    @JsonProperty( "team_code" )
    private String teamCode;

    @JsonProperty( "team_name" )
    private String teamName;

    @JsonProperty( "department_code" )
    private String departmentCode;

    @JsonProperty( "department_name" )
    private String departmentName;
}
